Skip to main content
GET
/
organization
/
{organizationId}
/
cluster
/
{clusterId}
/
currentCost
Get cluster current cost
curl --request GET \
  --url https://api.qovery.com/organization/{organizationId}/cluster/{clusterId}/currentCost \
  --header 'Authorization: Bearer <token>'
{
  "currency_code": "USD",
  "min_cost_in_cents": 15000,
  "min_cost": 150,
  "max_cost_in_cents": 30000,
  "max_cost": 300
}

Documentation Index

Fetch the complete documentation index at: https://qovery-feat-new-navigation.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT tokens should be used with OIDC account (human to machine). JWT tokens used by the Qovery console to communicate with the API have a TTL. Curl Example ' curl https://console.qovery.com/organization -H "Authorization: Bearer $qovery_token" '

Path Parameters

organizationId
string<uuid>
required

Organization ID

clusterId
string<uuid>
required

Cluster ID

Response

Get cluster cost

currency_code
string
required
Example:

"USD"

min_cost_in_cents
integer
Example:

15000

min_cost
number
Example:

150

max_cost_in_cents
integer
Example:

30000

max_cost
number
Example:

300